> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/connected-accounts-beta/get-connected-account",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get connected account

> Retrieve detailed information about a specific connected account by ID.

**Note:** This endpoint is currently in beta and might be subject to changes.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /connected_accounts/{accountId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /connected_accounts/{accountId}:
    get:
      tags:
        - Connected Accounts (Beta)
      summary: Get connected account
      description: >
        Retrieve detailed information about a specific connected account by ID.


        **Note:** This endpoint is currently in beta and might be subject to
        changes.
      operationId: getConnectedAccount
      parameters:
        - name: accountId
          in: path
          required: true
          description: The ID of the account to fetch.
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Account response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedSingleAccountResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ConnectedSingleAccountResponse>> =
            fireblocks.connectedAccountsBeta.getConnectedAccount(connectedAccountsBetaApiGetConnectedAccountRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ConnectedSingleAccountResponse>>
            response =
            fireblocks.connectedAccountsBeta().getConnectedAccount(accountId);
        - lang: Python
          source: >-
            response =
            fireblocks.connected_accounts_beta.get_connected_account(account_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ConnectedSingleAccountResponse:
      allOf:
        - $ref: '#/components/schemas/ConnectedAccount'
        - $ref: '#/components/schemas/ConnectedSingleAccount'
    ConnectedAccount:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the connected account.
          example: acc-123456
        name:
          type: string
          description: Human-readable name of the connected account.
          example: Main Venue Account
        providerId:
          type: string
          description: The ID of the venue the account belongs to.
          example: BRIDGE
        status:
          $ref: '#/components/schemas/ConnectedAccountApprovalStatus'
        totalBalance:
          $ref: '#/components/schemas/ConnectedAccountTotalBalance'
        manifest:
          $ref: '#/components/schemas/ConnectedAccountManifest'
        parentId:
          type: string
          description: The ID of the parent main account, if this is a sub account.
          example: acc-parent-001
      required:
        - id
        - name
        - providerId
        - status
        - totalBalance
        - manifest
    ConnectedSingleAccount:
      type: object
      properties:
        subAccountsIds:
          type: array
          description: IDs of sub-accounts associated with this connected account.
          items:
            type: string
          example:
            - acc-sub-001
            - acc-sub-002
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    ConnectedAccountApprovalStatus:
      type: string
      enum:
        - WAITING_FOR_APPROVAL
        - APPROVED
        - REJECTED
        - CANCELLED
        - FAILED
    ConnectedAccountTotalBalance:
      type: object
      properties:
        amount:
          type: string
          description: The denominated currency value of the account.
          example: '1201.15'
        denominatedAssetId:
          type: string
          description: The asset ID of the total balance.
          example: ea6c3cb7-355a-4ee3-82ff-267c69970214
        hasFullAssetCoverage:
          type: boolean
          description: >-
            Indicates whether the total amount represents the complete balance
            of all assets in the account. When true, all asset balances have
            been successfully converted to the denominated currency. When false,
            some assets could not be included in the total due to missing
            exchange rates or non-convertible assets.
          default: false
          example: true
      required:
        - amount
        - denominatedAssetId
        - hasFullAssetCoverage
    ConnectedAccountManifest:
      type: object
      properties:
        assetTypes:
          type: array
          description: Asset types supported by the connected account.
          items:
            $ref: '#/components/schemas/ConnectedAccountAssetType'
          example: []
        capabilities:
          type: array
          description: >
            Features supported for the connected account. Logic: - If account
            capabilities include ramp -> TRADING - If account capabilities
            include transfers -> DEPOSITS - If account capabilities include
            transfersBlockchain / transfersFiat / transfersPeerAccounts /
            transfersInternal -> WITHDRAWALS
          items:
            $ref: '#/components/schemas/ConnectedAccountCapability'
          example:
            - WITHDRAWALS
      required:
        - assetTypes
        - capabilities
    ConnectedAccountAssetType:
      type: string
      enum:
        - DIGITAL
        - FIAT
    ConnectedAccountCapability:
      type: string
      enum:
        - WITHDRAWALS
        - DEPOSITS
        - TRADING
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````